import { JSX } from "solid-js";

export function FilledButton(props: {
    children?: Array<JSX.Element> | JSX.Element,
    class?: string,
    type?: "button" | "submit",
    disabled?: boolean,
}) {
    return (
        <button
            class={`bg-c-primary text-c-on-primary px-4 py-2 rounded-full cursor-pointer mt-4
                    disabled:opacity-50 disabled:cursor-not-allowed ${props.class}`}
            disabled={props.disabled}
        >
            {props.children}
        </button>
    );
}
