export type RegisterBatchCreate = Array<{
    person_id: number,
    course_id: number,
    /**
     * YYYY-MM-DD
     */
    date: string,
    /**
     * Value of the custom label
     */
    custom_label: string,
    /**
     * Id of the (optional) custom_label. If -1, a new custom_label will be created
     * with the value of self.custom_label
     */
    custom_label_id: number,
    is_preview: boolean,
}>

export type Register = {
    register_id: number,
    /// Display code, shown on the certificate.
    /// Currently a 4-digit number. After 9999, it will be a 4-digit hex number.
    ///
    /// Example: `0322``
    register_code: number,
    /// Date of creation of the register, in YYYY-MM-DD format
    register_creation_date: string,
    /// Date shown on the certificate, in YYYY-MM-DD format
    register_display_date: string,
    /// Some course's names can be extended with a label.
    /// Points to another entity
    register_custom_label: number,
    /// Foreign key to the person table
    register_person_id: number,
    /// Foreign key to the course table
    register_course_id: number,
    /// If this register is a preview, it is a "no signatures" certificate.
    register_is_preview: boolean
}
